
#pragma once
#pragma unmanaged
#include "btBulletDynamicsCommon.h"
#pragma managed

using namespace System;
using namespace Microsoft::Xna::Framework;

#define SAFE_DELETE(x) {if((x)!=NULL){ delete (x); (x)=NULL;}}

namespace BulletCLI {
    btVector3* XVectorToBTVector(Vector3^ vec);
    void BTVectorToXVector(const btVector3& invec, Vector3 %vec);
    btTransform* XMatrixToBTTransform(Matrix^ mat);
    void BTTransformToXMatrix(const btTransform& inmat, Matrix %mat);
    
}
